| Version: 3.2.2

Public Member Functions | List of all members
wxAuiToolBarEvent Class Reference
Class List by Category » Window Docking (wxAUI) | Class List by Category » Events

`#include <wx/aui/auibar.h>`

Inheritance diagram for wxAuiToolBarEvent:
[legend]

## Detailed Description

wxAuiToolBarEvent is used for the events generated by wxAuiToolBar.

##

Library: wxAui
Category: Window Docking (wxAUI), Events

## Public Member Functions

| wxAuiToolBarEvent (wxEventType commandType=wxEVT_NULL, int winId=0)
| wxAuiToolBarEvent (const wxAuiToolBarEvent &c)
bool | IsDropDownClicked () const
| Returns whether the drop down menu has been clicked. More...
wxPoint | GetClickPoint () const
| Returns the point where the user clicked with the mouse. More...
wxRect | GetItemRect () const
| Returns the wxAuiToolBarItem rectangle bounding the mouse click point. More...
int | GetToolId () const
| Returns the wxAuiToolBarItem identifier. More...
void | SetDropDownClicked (bool c)
void | SetClickPoint (const wxPoint &p)
void | SetItemRect (const wxRect &r)
void | SetToolId (int toolId)
Public Member Functions inherited from wxNotifyEvent
| wxNotifyEvent (wxEventType eventType=wxEVT_NULL, int id=0)
| Constructor (used internally by wxWidgets only). More...
void | Allow ()
| This is the opposite of Veto(): it explicitly allows the event to be processed. More...
bool | IsAllowed () const
| Returns true if the change is allowed (Veto() hasn't been called) or false otherwise (if it was). More...
void | Veto ()
| Prevents the change announced by this event from happening. More...
Public Member Functions inherited from wxCommandEvent
| wxCommandEvent (wxEventType commandEventType=wxEVT_NULL, int id=0)
| Constructor. More...
void * | GetClientData () const
| Returns client data pointer for a listbox or choice selection event (not valid for a deselection). More...
wxClientData * | GetClientObject () const
| Returns client object pointer for a listbox or choice selection event (not valid for a deselection). More...
long | GetExtraLong () const
| Returns extra information dependent on the event objects type. More...
int | GetInt () const
| Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox. More...
int | GetSelection () const
| Returns item index for a listbox or choice selection event (not valid for a deselection). More...
wxString | GetString () const
| Returns item string for a listbox or choice selection event. More...
bool | IsChecked () const
| This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one. More...
bool | IsSelection () const
| For a listbox or similar event, returns true if it is a selection, false if it is a deselection. More...
void | SetClientData (void *clientData)
| Sets the client data for this event. More...
void | SetClientObject (wxClientData *clientObject)
| Sets the client object for this event. More...
void | SetExtraLong (long extraLong)
| Sets the m_extraLong member. More...
void | SetInt (int intCommand)
| Sets the m_commandInt member. More...
void | SetString (const wxString &string)
| Sets the m_commandString member. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxAuiToolBarEvent() [1/2]

wxAuiToolBarEvent::wxAuiToolBarEvent | ( | wxEventType | commandType = `wxEVT_NULL`,
|  | int | winId = `0`
| ) |  |

## ◆ wxAuiToolBarEvent() [2/2]

wxAuiToolBarEvent::wxAuiToolBarEvent | ( | const wxAuiToolBarEvent & | c | ) |

## Member Function Documentation

## ◆ GetClickPoint()

wxPoint wxAuiToolBarEvent::GetClickPoint | ( |  | ) | const

Returns the point where the user clicked with the mouse.

## ◆ GetItemRect()

wxRect wxAuiToolBarEvent::GetItemRect | ( |  | ) | const

Returns the wxAuiToolBarItem rectangle bounding the mouse click point.

## ◆ GetToolId()

int wxAuiToolBarEvent::GetToolId | ( |  | ) | const

Returns the wxAuiToolBarItem identifier.

## ◆ IsDropDownClicked()

bool wxAuiToolBarEvent::IsDropDownClicked | ( |  | ) | const

Returns whether the drop down menu has been clicked.

## ◆ SetClickPoint()

void wxAuiToolBarEvent::SetClickPoint | ( | const wxPoint & | p | ) |

## ◆ SetDropDownClicked()

void wxAuiToolBarEvent::SetDropDownClicked | ( | bool | c | ) |

## ◆ SetItemRect()

void wxAuiToolBarEvent::SetItemRect | ( | const wxRect & | r | ) |

## ◆ SetToolId()

void wxAuiToolBarEvent::SetToolId | ( | int | toolId | ) |